/*
 * @Author: Chris 
 * @Date: 2021-08-16 11:15:31 
 * @Last Modified by: Chris
 * @Last Modified time: 2021-08-19 17:11:00
 * @page index.page
 */

import Button from './components/button/index.js'
import Mhicon from './components/icon/index'
import Calendar from './components/calendar/index'
const components = [Button, Mhicon, Calendar]

const install = function (Vue, opts = {}) {
    components.forEach(component => {
        Vue.component(component.name, component);
    });
};

/* istanbul ignore if */
if (typeof window !== 'undefined' && window.Vue) {
    install(window.Vue);
}

export default {
    install,
    Button,
    Mhicon,
    Calendar
}